## GdauiForm GdauiForm |

## Synopsis

    struct              GdauiForm;
    GtkWidget *         gdaui_form_new                      (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GdauiForm

## Implemented Interfaces

GdauiForm implements AtkImplementorIface, GtkBuildable, GtkOrientable, GdauiDataProxy and GdauiDataSelector.

## Properties

      "info"                     GdauiDataProxyInfo*   : Read
      "info-flags"               GdauiDataProxyInfoFlag  : Read / Write
      "model"                    GdaDataModel*         : Read / Write / Construct Only
      "raw-form"                 GdauiRawForm*         : Read

## Description

## Details

### struct GdauiForm

    struct GdauiForm;

### gdaui_form_new ()

    GtkWidget *         gdaui_form_new                      (GdaDataModel *model);

Since 4.2

## Property Details

### The `"info"` property

      "info"                     GdauiDataProxyInfo*   : Read

### The `"info-flags"` property

      "info-flags"               GdauiDataProxyInfoFlag  : Read / Write

Default value: GDAUI_DATA_PROXY_INFO_CURRENT_ROW

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write / Construct Only

### The `"raw-form"` property

      "raw-form"                 GdauiRawForm*         : Read